#define NUMKEYS     256

typedef R_RSA_PUBLIC_KEY publickeyset[NUMKEYS];
typedef R_RSA_PRIVATE_KEY privatekeyset[NUMKEYS];

/* bit definitions for key status char */

#define Krevoked     0x01
#define Kused        0x02
#define Kfailed      0x04

int readkeystatus(void);
void setkeystatus(unsigned char keyno, unsigned char flags);
unsigned char getkeystatus(int keyno);
int writekeystatus(void);

